
package de.ivu.elect.presentation.gebietsbaum.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gebietsbaum.GebietsartCreateView;
import de.ivu.elect.presentation.gebietsbaum.GebietsartenAnpassbar;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

import javax.inject.Inject;

/**
 *  on 24.06.2015.
 */
public class GebietsartCreateMenuItemEntry extends AbstractGebietsartMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GebietsartenAnpassbar gebietsartenAnpassbar;

  public GebietsartCreateMenuItemEntry() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEBIETSART_CREATE;
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && gebietsartenAnpassbar.isGebietsartenErweiterbar();
  }

  @Override
  public String getTargetViewId() {
    return GebietsartCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
